using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace WebApplication1.Models
{
    // 品目テーブル
    [Table("ITEM")]
    public class ItemModel
    {
        // 品目ID
        [Key]
        [Required]
        public int ID { get; set; }

        // 品目コード
        [Required]
        [StringLength(32)]
        public string ITEM_CODE { get; set; }

        // 品目名
        [Required]
        [StringLength(32)]
        public string ITEM_NAME { get; set; }

        // 品目種別
        [StringLength(20)]
        public string ITEM_CATEGORY_ID { get; set; }

        // 製造元
        [StringLength(50)]
        public string MANUFACTURER { get; set; }

        // 仕入先コード
        [Required]
        public int SUPPLIER_CODE { get; set; }

        // 単位
        public int? UNIT_OF_MEASURE { get; set; }

        // 基本価格
        public decimal? BASE_PRICE { get; set; }

        // 安全在庫数
        public int? SAFETY_STOCK { get; set; }

        // リードタイム
        public int? LEAD_TIME { get; set; }

        // 最終更新日
        [Column(TypeName = "Date")]
        public DateTime LAST_UPDATED_DATE { get; set; } = DateTime.Now;

        // 最終更新者
        public string LAST_UPDATED_BY { get; set; }
    }
}