using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace WebApplication1.Models
{
    // 保管場所テーブル
    [Table("STORAGE_LOCATION")]
    public class StorageLocationModel
    {
        // 保管場所ID
        [Key]
        [Required]
        public int ID { get; set; }

        // 保管場所コード
        [Required]
        [StringLength(10)]
        public string STORAGE_LOCATION_CODE { get; set; }

        // 保管場所名
        [Required]
        public string STORAGE_LOCATION_NAME { get; set; }

        // 保管場所タイプ
        [Required]
        public string STORAGE_LOCATION_TYPE { get; set; }

        // 保管容量
        public int? STORAGE_CAPACITY { get; set; }

        // 所在地
        [StringLength(50)]
        public string LOCATION_ADDRESS { get; set; }

        // 責任者
        [StringLength(16)]
        public string MANAGER { get; set; }

        // 備考
        [StringLength(256)]
        public string NOTES { get; set; }

        // 最終更新日
        public DateTime LAST_UPDATED_DATE { get; set; } = DateTime.Now;

        // 最終更新者
        public DateTime LAST_UPDATED_BY { get; set; }
    }
}