package com.example.entity;

import javax.persistence.*;
import java.util.Date;

/**
 * 入出庫テーブル (INCOMING_SHIPMENT_DATA)
 */
@Entity
@Table(name = "INCOMING_SHIPMENT_DATA")
public class IncomingShipmentDataEntity {

    @Id
    @Column(name = "ID")
    private Long id; // 入出庫ID

    @Column(name = "TRANSACTION_TYPE", nullable = false)
    private Integer transactionType; // 入出庫区分

    @Column(name = "TRANSACTION_DATE", nullable = false)
    @Temporal(TemporalType.TIMESTAMP)
    private Date transactionDate; // 入出庫日付

    @Column(name = "ITEM_ID", nullable = false)
    private Long itemId; // 品目ID

    @Column(name = "TRANSACTION_QUANTITY", nullable = false)
    private Integer transactionQuantity; // 入出庫数量

    @Column(name = "TRANSACTION_LOCATION", nullable = false)
    private Integer transactionLocation; // 入出庫場所

    @Column(name = "TRANSACTION_REASON", length = 256)
    private String transactionReason; // 入出庫理由

    // Getters and Setters
}