package com.example.entity;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 品目テーブル (ITEM)
 */
@Entity
@Table(name = "ITEM")
public class ItemEntity {

    @Id
    @Column(name = "ID")
    private Long id; // 品目ID

    @Column(name = "ITEM_CODE", nullable = false, length = 32)
    private String itemCode; // 品目コード

    @Column(name = "ITEM_NAME", nullable = false, length = 32)
    private String itemName; // 品目名

    @Column(name = "ITEM_CATEGORY_ID", length = 20)
    private String itemCategoryId; // 品目種別

    @Column(name = "MANUFACTURER", length = 50)
    private String manufacturer; // 製造元

    @Column(name = "SUPPLIER_CODE", nullable = false)
    private Long supplierCode; // 仕入先コード

    @Column(name = "UNIT_OF_MEASURE")
    private Integer unitOfMeasure; // 単位

    @Column(name = "BASE_PRICE")
    private BigDecimal basePrice; // 基本価格

    @Column(name = "SAFETY_STOCK")
    private Integer safetyStock; // 安全在庫数

    @Column(name = "LEAD_TIME")
    private Integer leadTime; // リードタイム

    @Column(name = "LAST_UPDATED_DATE", nullable = false)
    @Temporal(TemporalType.DATE)
    private Date lastUpdatedDate; // 最終更新日

    @Column(name = "LAST_UPDATED_BY")
    private String lastUpdatedBy; // 最終更新者

    // Getters and Setters
}