package com.example.entity;

import javax.persistence.*;

/**
 * 保管場所テーブル (STORAGE_LOCATION)
 */
@Entity
@Table(name = "STORAGE_LOCATION")
public class StorageLocationEntity {

    @Id
    @Column(name = "ID", nullable = false)
    private Long id; // 保管場所ID

    @Column(name = "STORAGE_LOCATION_CODE", nullable = false, length = 10)
    private String storageLocationCode; // 保管場所コード

    @Column(name = "STORAGE_LOCATION_NAME", nullable = false)
    private String storageLocationName; // 保管場所名

    @Column(name = "STORAGE_LOCATION_TYPE", nullable = false)
    private String storageLocationType; // 保管場所タイプ

    @Column(name = "STORAGE_CAPACITY")
    private Integer storageCapacity; // 保管容量

    @Column(name = "LOCATION_ADDRESS", length = 50)
    private String locationAddress; // 所在地

    @Column(name = "MANAGER", length = 16)
    private String manager; // 責任者

    @Column(name = "NOTES", length = 256)
    private String notes; // 備考

    @Column(name = "LAST_UPDATED_DATE")
    @Temporal(TemporalType.TIMESTAMP)
    private Date lastUpdatedDate; // 最終更新日

    @Column(name = "LAST_UPDATED_BY")
    private Date lastUpdatedBy; // 最終更新者

    // Getters and Setters
}