package com.example.form;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

/**
 * 品目在庫管理一覧画面の検索フォーム
 */
public class InventorySearchForm {

    /**
     * 品目コード
     */
    @NotBlank(message = "品目コードは必須です。")
    @Size(max = 32, message = "品目コードは最大32文字です。")
    private String itemCodeSearch;

    /**
     * 保管場所
     */
    @NotBlank(message = "保管場所は必須です。")
    @Size(max = 10, message = "保管場所コードは最大10文字です。")
    private String storageLocationSearch;

    // Getters and Setters

    public String getItemCodeSearch() {
        return itemCodeSearch;
    }

    public void setItemCodeSearch(String itemCodeSearch) {
        this.itemCodeSearch = itemCodeSearch;
    }

    public String getStorageLocationSearch() {
        return storageLocationSearch;
    }

    public void setStorageLocationSearch(String storageLocationSearch) {
        this.storageLocationSearch = storageLocationSearch;
    }
}