package com.example.repository;

import com.example.entity.ItemEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

import java.util.List;

/**
 * 品目テーブルにアクセスするためのリポジトリ
 */
public interface ItemRepository extends JpaRepository<ItemEntity, Long> {

    /**
     * 品目コードによる検索を行うクエリ
     */
    @Query("SELECT i FROM ItemEntity i WHERE i.itemCode LIKE %:itemCode%")
    List<ItemEntity> findByItemCodeContaining(@Param("itemCode") String itemCode);
}