package com.example.repository;

import com.example.entity.MonthlyStockEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

/**
 * 月初在庫テーブルにアクセスするためのリポジトリ
 */
public interface MonthlyStockRepository extends JpaRepository<MonthlyStockEntity, Long> {

    /**
     * 品目IDと保管場所IDを条件に月初在庫数量を取得するクエリ
     */
    @Query("SELECT ms.quantity FROM MonthlyStockEntity ms " +
           "WHERE ms.itemId = :itemId AND ms.storageLocationId = :storageLocationId")
    Integer findQuantityByItemIdAndStorageLocationId(
            @Param("itemId") Long itemId,
            @Param("storageLocationId") Long storageLocationId);
}